﻿using System.Collections.Generic;

namespace IrcStates
{
    public class Emit
    {
        public string Command { get; set; }
        public string Subcommand { get; set; }
        public string Text { get; set; }
        public List<string> Tokens { get; set; }
        public bool Finished { get; set; }
        public bool Self { get; set; }
        public bool SelfSource { get; set; }
        public bool SelfTarget { get; set; }
        public Tests.User User { get; set; }
        public Tests.User UserSource { get; set; }
        public Tests.User UserTarget { get; set; }
        public List<Tests.User> Users { get; set; }
        public Tests.Channel Channel { get; set; }
        public Tests.Channel ChannelSource { get; set; }
        public Tests.Channel ChannelTarget { get; set; }
        public string Target { get; set; }
    }
}
